Index: Makefile
===================================================================
RCS file: /pack/xemacscvs/XEmacs/packages/xemacs-packages/jde/Makefile,v
retrieving revision 1.55
diff -u -r1.55 Makefile
--- Makefile	2002/09/25 10:21:11	1.55
+++ Makefile	2002/10/10 18:03:19
@@ -28,17 +28,28 @@
 	eieio elib sh-script fsf-compat
 CATEGORY = standard
 
-ELCS = \
+# WARNING order is really important here so that dependencies are
+# managed correctly. jde uses eieio defclass a lot which turn out to
+# be macros which mean they have to be evaluated if they are used
+# elsewhere. The debug code does this a lot.
+EARLY_ELCS = \
 	lisp/beanshell.elc \
 	lisp/efc.elc \
+	lisp/jde-parse.elc \
+	lisp/jde-db.elc \
+	lisp/jde-dbo.elc \
+	lisp/jde-dbs.elc
+
+# This must come last
+LATE_ELCS = \
+	lisp/jde.elc
+
+ELCS = $(EARLY_ELCS) \
 	lisp/jde-ant.elc \
 	lisp/jde-bug.elc \
 	lisp/jde-checkstyle.elc \
 	lisp/jde-compile.elc \
 	lisp/jde-complete.elc \
-	lisp/jde-db.elc \
-	lisp/jde-dbo.elc \
-	lisp/jde-dbs.elc \
 	lisp/jde-gen.elc \
 	lisp/jde-help.elc \
 	lisp/jde-imenu.elc \
@@ -51,7 +62,6 @@
 	lisp/jde-make.elc \
 	lisp/jde-open-source.elc \
 	lisp/jde-package.elc \
-	lisp/jde-parse.elc \
 	lisp/jde-run.elc \
 	lisp/jde-setnu.elc \
 	lisp/jde-stat.elc \
@@ -59,8 +69,8 @@
 	lisp/jde-which-method.elc \
 	lisp/jde-widgets.elc \
 	lisp/jde-wiz.elc \
-	lisp/jde.elc \
-	lisp/tree-widget.elc
+	lisp/tree-widget.elc \
+	$(LATE_ELCS)
 
 EXTRA_SOURCES = 
 
